<?php
class ProdutoImagem extends UtilObjeto {

	public function __construct($params=""){
		parent::__construct(strtolower(get_class()), $params);
	}
	
	public static function setPrincipal($idProduto,$idPrincipal){
		global $db;
		// seta todos como nao principais
		$up1 = "UPDATE rz2_produto_imagem
				SET    principal = 'n'
				WHERE  id_produto = ".$idProduto;
		$db->query($up1);
		
		// seta apenas o principal
		$up1 = "UPDATE rz2_produto_imagem
				SET    principal = 's'
				WHERE  id = ".$idPrincipal;
		$db->query($up1);

		return true;
	}
	
	public function excluir(){
		$this->carregar();
		if(parent::excluir()){
			@unlink(PATHPRODUTO.$this->imagem);
			return true;
		}
		else{
			return false;
		}
	}

}
?>